Run of fresh-releases for python-graphene-sqlalchemy

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
[2021-10-17 18:58:58] Opening branch at https://gitlab.com/kalilinux/packages/python-graphene-sqlalchemy.git/,branch=kali%2Fmaster
[2021-10-17 18:58:59] Using cached branch https://janitor.kali.org/git/python-graphene-sqlalchemy/,branch=kali%2Flatest
[2021-10-17 18:59:00] Total 451 (delta 153), reused 293 (delta 0)
[2021-10-17 18:59:02] Total 244 (delta 157), reused 84 (delta 0)
[2021-10-17 18:59:05] Total 7 (delta 0), reused 0 (delta 0), pack-reused 7
[2021-10-17 18:59:07] Total 7 (delta 0), reused 0 (delta 0), pack-reused 7
[2021-10-17 18:59:10] Workspace ready - starting.
[2021-10-17 18:59:10] Running ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2021-10-17 18:59:10] Assuming changelog does not need to be updated, since there is a [dch] section in gbp.conf.
Using upstream branch https://github.com/graphql-python/graphene-sqlalchemy.git (from configuration)
Total 1180 (delta 9), reused 10 (delta 2), pack-reused 1140
Using version string 2.3.0.
No upstream upstream-revision format specified, trying tag:2.1.2
Not including upstream history, since previous upstream version (2.1.2) is not present in packaging branch history.
Using uscan to look for the upstream tarball.
Use of uninitialized value in concatenation (.) or string at /usr/share/perl5/Devscripts/Uscan/WatchLine.pm line 868.
uupdate: debian/source/format is "3.0 (quilt)".
uupdate: Auto-generating python-graphene-sqlalchemy_2.1.2-0kali1.debian.tar.xz
uupdate: -> Copy to      python-graphene-sqlalchemy_2.3.0-1.debian.tar.xz
Revision b'git-v1:55a2c3e77b1ec8137ce062fa8feaaee722db4093' exists in repository but not in upstream branch, ignoring
Revision b'git-v1:55a2c3e77b1ec8137ce062fa8feaaee722db4093' exists in repository but not in upstream branch, ignoring
Imported python-graphene-sqlalchemy_2.3.0.orig.tar.gz with pristine-tar.
All changes applied successfully.
Changelog last touched at '7c5f65d24357c1e3670c3b4f7b945302c3226123'
Committing to: /home/janitor/tmp/janitorf7ef1l0c/python-graphene-sqlalchemy/
modified .gitignore
modified .travis.yml
added CODEOWNERS
modified README.md
modified debian/changelog
modified docs/examples.rst
modified docs/tips.rst
modified docs/tutorial.rst
modified examples/flask_sqlalchemy/README.md
modified examples/flask_sqlalchemy/app.py
modified examples/flask_sqlalchemy/database.py
modified examples/flask_sqlalchemy/models.py
modified examples/flask_sqlalchemy/requirements.txt
modified examples/flask_sqlalchemy/schema.py
modified examples/nameko_sqlalchemy/README.md
modified examples/nameko_sqlalchemy/app.py
modified examples/nameko_sqlalchemy/database.py
modified examples/nameko_sqlalchemy/models.py
modified examples/nameko_sqlalchemy/requirements.txt
modified examples/nameko_sqlalchemy/schema.py
modified examples/nameko_sqlalchemy/service.py
modified graphene_sqlalchemy/__init__.py
added graphene_sqlalchemy/batching.py
modified graphene_sqlalchemy/converter.py
added graphene_sqlalchemy/enums.py
modified graphene_sqlalchemy/fields.py
modified graphene_sqlalchemy/registry.py
added graphene_sqlalchemy/resolvers.py
added graphene_sqlalchemy/tests/conftest.py
modified graphene_sqlalchemy/tests/models.py
added graphene_sqlalchemy/tests/test_batching.py
added graphene_sqlalchemy/tests/test_benchmark.py
modified graphene_sqlalchemy/tests/test_converter.py
added graphene_sqlalchemy/tests/test_enums.py
modified graphene_sqlalchemy/tests/test_fields.py
modified graphene_sqlalchemy/tests/test_query.py
added graphene_sqlalchemy/tests/test_query_enums.py
modified graphene_sqlalchemy/tests/test_registry.py
deleted graphene_sqlalchemy/tests/test_schema.py
added graphene_sqlalchemy/tests/test_sort_enums.py
modified graphene_sqlalchemy/tests/test_types.py
modified graphene_sqlalchemy/tests/test_utils.py
added graphene_sqlalchemy/tests/utils.py
modified graphene_sqlalchemy/types.py
modified graphene_sqlalchemy/utils.py
modified setup.cfg
modified setup.py
modified tox.ini
Committed revision 23.
Merged new upstream version 2.3.0 (previous: 2.1.2)
Merge new upstream version 2.3.0
[2021-10-17 18:59:54] Actual command: ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2021-10-17 18:59:54] Opened schroot session kali-dev-amd64-sbuild-d2ee5404-db3b-4dba-849e-915989129f36 (from kali-dev-amd64-sbuild)
[2021-10-17 18:59:54] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unacceptable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f84a19be898>, [functools.partial(<function python_tie_breaker at 0x7f84b797d598>, <GitWorkingTree of /home/janitor/tmp/janitorf7ef1l0c/python-graphene-sqlalchemy>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/kali-dev-amd64-sbuild-d2ee5404-db3b-4dba-849e-915989129f36'), <function popcon_tie_breaker at 0x7f84a19b98c8>]))]
[2021-10-17 18:59:54] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
[2021-10-17 19:05:32] No fixer found for MissingPytestFixture(fixture='benchmark')
[2021-10-17 19:05:32] Failed to resolve error MissingPytestFixture(fixture='benchmark'). Giving up.
Traceback (most recent call last):
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 205, in build
    args, cwd=local_tree.abspath(subpath), stdout=outf, stderr=outf, env=env
  File "/usr/lib/python3.7/subprocess.py", line 347, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'breezy', 'builddeb', '--guess-upstream-branch-url', '--builder=sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes', '--result-dir=/home/janitor/tmp/janitorf7ef1l0c']' returned non-zero exit status 3.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 232, in build_once
    extra_repositories=extra_repositories,
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 208, in build
    raise BuildFailedError()
breezy.plugins.debian.builder.BuildFailedError: The build failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/debian-janitor/janitor/worker.py", line 374, in build
    max_iterations=MAX_BUILD_ITERATIONS
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/fix_build.py", line 562, in build_incrementally
    extra_repositories=extra_repositories,
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 301, in attempt_build
    extra_repositories=extra_repositories,
  File "/opt/debian-janitor/ognibuild/ognibuild/debian/build.py", line 244, in build_once
    sbuild_failure.description)
ognibuild.debian.build.DetailedDebianBuildFailure: ('build', ('build',), None, ['sbuild', '-Asv', '--dpkg-file-suffix=+jan', '--force-orig-source', '--source-only-changes'], MissingPytestFixture(fixture='benchmark'), 'Missing pytest fixture: benchmark')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/debian-janitor/janitor/worker.py", line 913, in run_worker
    force_build=force_build
  File "/usr/lib/python3.7/contextlib.py", line 112, in __enter__
    return next(self.gen)
  File "/opt/debian-janitor/janitor/worker.py", line 696, in process_package
    ws, subpath, output_directory, env)
  File "/opt/debian-janitor/janitor/worker.py", line 397, in build
    from .debian.missing_deps import resolve_requirement
  File "/opt/debian-janitor/janitor/debian/missing_deps.py", line 25, in <module>
    from lintian_brush.debianize import find_upstream, UpstreamInfo
  File "/opt/debian-janitor/lintian-brush/lintian_brush/debianize.py", line 105, in <module>
    from .debhelper import (
  File "/opt/debian-janitor/lintian-brush/lintian_brush/debhelper.py", line 21, in <module>
    from functools import cache
ImportError: cannot import name 'cache' from 'functools' (/usr/lib/python3.7/functools.py)
Full worker log

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☒ command changed from DEB_UPDATE_CHANGELOG=auto deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches to deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches --skip-empty
  • ☑ review not required
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☒ change set 1f0eafc2-ae98-44db-83b8-a7ed0c8d086b is working
  • ☑ merge proposals for previous run were not rejected: status.